%global gem_name erubi
Name:                rubygem-%{gem_name}
Version:             1.10.0
Release:             2
Summary:             Small ERB Implementation
License:             MIT
URL:                 https://github.com/jeremyevans/erubi
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone https://github.com/jeremyevans/erubi.git && cd erubi
# git archive -v -o erubi-1.10.0-test.tar.gz 1.10.0 test/
Source1:	     erubi-1.10.0-test.tar.gz
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(minitest)
BuildArch:           noarch
%description
Erubi is a ERB template engine for ruby. It is a simplified fork of Erubis.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version} -b1
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
tar xzvf %{SOURCE1}	
ln -s %{_builddir}/test test
# Avoid global_expectations dependency.
# https://github.com/jeremyevans/erubi/commit/592cabf3ddafeb65758b01317fe6fd4825e8e8a4
sed -i '/require .minitest\/global_expectations\/autorun./ s/^/#/' test/test.rb
ruby -rminitest/autorun ./test/test.rb
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Wed Oct 26 2022 caodongxia <caodongxia@h-partners.com> - 1.10.0-2  
- Add the source description of source1

* Tue Jun 28 2022 baizhonggui <baizhonggui@h-partners.com> - 1.10.0-1
- update to 1.10.0

* Thu Aug 20 2020 xiezheng <xiezheng4@huawei.com> - 1.7.0-1
- package init
